/*
 * Project name:
     Relay4
 * Copyright:
     (c) Mikroelektronika, 2010.
 * Revision History:
     20101104 (FJ):
       - initial release (FJ);
 * Description:
     This code turns on relays with one second pause.
 * Test configuration:
     MCU:             AT89S8253
                      http://www.atmel.com/dyn/resources/prod_documents/doc3286.pdf
     Dev.Board:       Easy8051 v6
                      http://www.mikroe.com/eng/products/view/329/easy8051-v6-development-system/
     Oscillator:      External Clock 10.0000 MHz
     Ext. Modules:    Relay4 Board
                      http://www.mikroe.com/eng/products/view/597/relay4-board/
     SW:              mikroC PRO for 8051
                      http://www.mikroe.com/eng/products/view/232/mikroc-pro-for-8051/
 * NOTES:
     - Pull-up P3 resistors by placing J4 in the upper position and turn on SW4.
*/

void pause_turn_off() {
  Delay_ms(1000);        // one second pause
  P3 = 0;                // turn off relays
}

void main(){
  while (1) {            // endless loop
    P3_0_bit = 1;        // turn on RLY0
    pause_turn_off();    // wait 1 second, then turn off relays
    P3_1_bit = 1;        // turn on RLY1
    pause_turn_off();    // wait 1 second, then turn off relays
    P3_2_bit = 1;        // turn on RLY2
    pause_turn_off();    // wait 1 second, then turn off relays
    P3_3_bit = 1;        // turn on RLY3
    pause_turn_off();    // wait 1 second, then turn off relays
  }
}