/*
 * Project name:
     Relay4
 * Copyright:
     (c) Mikroelektronika, 2010.
 * Revision History:
     20101104 (FJ):
       - initial release (FJ);
 * Description:
     This code turns on relays with one second pause.
 * Test configuration:
     MCU:             ATmega16
                      http://www.atmel.com/dyn/resources/prod_documents/doc2466.pdf
     Dev.Board:       EasyAVR6
                      http://www.mikroe.com/eng/products/view/321/easyavr6-development-system/
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    Relay4 Board
                      http://www.mikroe.com/eng/products/view/597/relay4-board/
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/eng/products/view/228/mikroc-pro-for-avr/
 * NOTES:
     - None.
*/

void pause_turn_off() {
  Delay_ms(1000);        // one second pause
  PORTD = 0;             // turn off relays
}

void main(){

  DDRD = 0xFF;           // set PORTD as output
  PORTD = 0;             // clear PORTD

  while (1) {            // endless loop
    PORTD0_bit = 1;      // turn on RLY0
    pause_turn_off();    // wait 1 second, then turn off relays
    PORTD1_bit = 1;      // turn on RLY1
    pause_turn_off();    // wait 1 second, then turn off relays
    PORTD2_bit = 1;      // turn on RLY2
    pause_turn_off();    // wait 1 second, then turn off relays
    PORTD3_bit = 1;      // turn on RLY3
    pause_turn_off();    // wait 1 second, then turn off relays
  }
}