/*
 * Project name:
     Relay4
 * Copyright:
     (c) Mikroelektronika, 2010.
 * Revision History:
     20101104 (FJ):
       - initial release (FJ);
 * Description:
     This code turns on relays with one second pause.
 * Test configuration:
     MCU:             PIC16F887
                      http://ww1.microchip.com/downloads/en/DeviceDoc/41291F.pdf
     Dev.Board:       EasyPIC6
                      http://www.mikroe.com/eng/products/view/297/easypic6-development-system/
     Oscillator:      HS, 08.000 MHz
     Ext. Modules:    Relay4 Board
                      http://www.mikroe.com/eng/products/view/597/relay4-board/
     SW:              mikroC PRO for PIC
                      http://www.mikroe.com/eng/products/view/7/mikroc-pro-for-pic/
 * NOTES:
     - None.
 */

void pause_turn_off() {
  Delay_ms(1000);        // one second pause
  PORTD = 0;             // turn off relays
}

void main(){
  
  TRISD = 0;             // set PORTD as output
  PORTD = 0;             // clear PORTD

  while (1) {            // endless loop
    RD0_bit = 1;         // turn on RLY0
    pause_turn_off();    // wait 1 second, then turn off relays
    RD1_bit = 1;         // turn on RLY1
    pause_turn_off();    // wait 1 second, then turn off relays
    RD2_bit = 1;         // turn on RLY2
    pause_turn_off();    // wait 1 second, then turn off relays
    RD3_bit = 1;         // turn on RLY3
    pause_turn_off();    // wait 1 second, then turn off relays
  }
}