/*
 * Project name:
     Relay4
 * Copyright:
     (c) Mikroelektronika, 2010.
 * Revision History:
     20101104 (FJ):
       - initial release (FJ);
 * Description:
     This code turns on relays with one second pause.
 * Test configuration:
     MCU:             dsPIC30F4013
                      http://ww1.microchip.com/downloads/en/DeviceDoc/70138F.pdf
     Dev.Board:       EASYdsPIC6
                      http://www.mikroe.com/eng/products/view/434/easydspic6-development-system/
     Oscillator:      XT-PLL8, 10.000MHz
     Ext. Modules:    Relay4 Board
                      http://www.mikroe.com/eng/products/view/597/relay4-board/
     SW:              mikroC PRO for dsPIC30/33 and PIC24
                      http://www.mikroe.com/eng/products/view/231/mikroc-pro-for-dspic30-33-and-pic24/
 * NOTES:
     - None.
 */

void pause_turn_off() {
  Delay_ms(1000);        // one second pause
  PORTD = 0;             // turn off relays
}

void main(){
  
  ADPCFG = 0xFFFF;       // configure AN pins as digital I/O
  TRISD = 0;             // set PORTD as output
  PORTD = 0;             // clear PORTD

  while (1) {            // endless loop
    RD0_bit = 1;         // turn on RLY0
    pause_turn_off();    // wait 1 second, then turn off relays
    RD1_bit = 1;         // turn on RLY1
    pause_turn_off();    // wait 1 second, then turn off relays
    RD2_bit = 1;         // turn on RLY2
    pause_turn_off();    // wait 1 second, then turn off relays
    RD3_bit = 1;         // turn on RLY3
    pause_turn_off();    // wait 1 second, then turn off relays
  }
}